#ifndef _README_H_
#define _README_H_

#ifdef README_PROGMEM

const char readme[] PROGMEM = {
"                                                                                \n"
"      .88b  d88.  .d8b.  d8888b. d888888b d8888b.      dD  .o88b. d8888b.       \n"
"      88'YbdP`88 d8' `8b 88  `8D   `88'   88  `8D     d8' d8P  Y8 88  `8D       \n"
"      88  88  88 88ooo88 88oodD'    88    88   88    d8'  8P      88oodD'       \n"
"      88  88  88 88~~~88 88~~~      88    88   88   d8'   8b      88~~~         \n"
"      88  88  88 88   88 88        .88.   88  .8D  d8'    Y8b  d8 88            \n"
"      YP  YP  YP YP   YP 88      Y888888P Y8888D' C8'      `Y88P' 88            \n"
"                                                                                \n"
"                                                                                \n"
"              d8888b. d88888b  .d8b.  d8888b. .88b  d88. d88888b                \n"
"              88  `8D 88'     d8' `8b 88  `8D 88'YbdP`88 88'                    \n"
"              88oobY' 88ooooo 88ooo88 88   88 88  88  88 88ooooo                \n"
"              88`8b   88~~~~~ 88~~~88 88   88 88  88  88 88~~~~~                \n"
"              88 `88. 88.     88   88 88  .8D 88  88  88 88.                    \n"
"              88   YD Y88888P YP   YP Y8888D' YP  YP  YP Y88888P                \n"
"                                                                                \n"
"                                                                                \n"
"                                                                                \n"
"                                                                                \n"
" > Since the Arduino IDE doesn't allow adding text files to a sketch, the       \n"
" > README is provided by this useless header file.                              \n"
"                                                                                \n"
"                                                                                \n"
"==> Requirements                                                                \n"
"                                                                                \n"
"MAPID/CP depends on the following libraries:                                    \n"
"                                                                                \n"
" - SoftwareSerial                                                               \n"
" - serLCD                                                                       \n"
" - SerialCommand                                                                \n"
"                                                                                \n"
"                                                                                \n"
"==> config.h Options                                                            \n"
"                                                                                \n"
" ┏━━━━━━━━━━━━━━┳━━━━━━━━━━━━━━━━━┳━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┓   \n"
" ┃  Macro name  ┃  Default value  ┃  Description                            ┃   \n"
" ┡━━━━━━━━━━━━━━╇━━━━━━━━━━━━━━━━━╇━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┩   \n"
" │  OS_NAME     │    MAPID/CP     │  Shown on startup and by command GETTY  │   \n"
" │  OS_VERSION  │           2     │  - same as above -                      │   \n"
" │  PIN_LED     │          13     │  PIN for the configurable LED           │   \n"
" │  PIN_LCD     │           2     │  PIN for SerLCD RX                      │   \n"
" │  TTY_SPEED   │        9600     │  Terminal sped (baud)                   │   \n"
" │  TTY_PROMPT  │           ?     │  Shell Prompt                           │   \n"
" └──────────────┴─────────────────┴─────────────────────────────────────────┘   \n"
"                                                                                \n"
"                                                                                \n"
"==> To do                                                                       \n"
"                                                                                \n"
" [ ] Move static texts shown on the console to flash memory using PROGMEM:      \n"
"       https://www.arduino.cc/reference/en/language/variables/utilities/progmem/\n"
"                                                                                \n"
"                                                                                \n"
"--                                                                              \n"
"Malte Bublitz                                                                   \n"
"https://malte70.de                                                              \n"
"                                                                                \n"
"==> Appendix                                                                    \n"
"                                                                                \n"
"Unicode Box Drawing characters used for the config.h overview table:            \n"
"  https://en.wikipedia.org/wiki/Box_Drawing                                     \n"
"                                                                                \n"
};


//#define README_HEADLINE_FIGLET_CMD "figlet -f basic -c -w 80 \"MAPID/CP\nReadMe\""


#endif
#endif
