<?php
$Title = "MAPID-FIFO Web-UI";

?><!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title><?=$Title?></title>
		<link rel="stylesheet" type="text/css" href="style.css">
	</head>
	<body>
		<header>
			<h1><?=$Title?></h1>
		</header>
		<main>
			<section>
				<h3>Welcome message</h3>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="getty">
					<button type="submit">Getty</button>
				</form>
			</section>
			<section>
				<h3>Clear screen</h3>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="cls">
					<button type="submit">Clear</button>
				</form>
			</section>
			<section>
				<h3>Control LED</h3>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="on">
					<button type="submit">LED On</button>
				</form>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="off">
					<button type="submit">LED Off</button>
				</form>
			</section>
			<section>
				<h3>Control display</h3>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="lcdon">
					<button type="submit">Display On</button>
				</form>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="lcdoff">
					<button type="submit">Display Off</button>
				</form>
			</section>
			<section>
				<h3>Line selection for output</h3>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="line">
					<select name="line" height="1">
						<option value="1">1</option>
						<option value="2">2</option>
					</select>
					<button type="submit">Select line</button>
				</form>
			</section>
			<section>
				<h3>Single line output</h3>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="echo">
					<input type="text" name="text" placeholder="Text">
					<button type="submit">Output</button>
				</form>
			</section>
			<section>
				<h3>Multi line output</h3>
				<form action="command.php" method="POST">
					<input type="hidden" name="cmd" value="echo2">
					<input type="text" name="line1" placeholder="Text line 1"><br>
					<input type="text" name="line2" placeholder="Text line 2">
					<button type="submit">Output</button>
				</form>
			</section>
		</main>
		<footer>
			<p><a href="https://git.un-hack-bar.de/malte70/mapid">mapid Git-Repo</a></p>
		</footer>
	</body>
</html>
